User Attribute Value

The user attribute value resource.

Basehttps://rest.carbon.ms/userAttributeValue
GET/userAttributeValue

List user attribute values

Retrieve a paginated list of user attribute values. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/userAttributeValue
curl --request GET \
  --url 'https://rest.carbon.ms/userAttributeValue?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "userAttributeId": "xyz789",
    "userId": "xyz789",
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string",
    "valueBoolean": true,
    "valueDate": "2026-01-01",
    "valueNumeric": 0
  }
]
GET/userAttributeValue

Retrieve a user attribute value

Fetch a single user attribute value by filtering on `id`.

Query parameters

idstring

Match on the user attribute value's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/userAttributeValue
curl --request GET \
  --url 'https://rest.carbon.ms/userAttributeValue?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "userAttributeId": "xyz789",
  "userId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "valueBoolean": true,
  "valueDate": "2026-01-01",
  "valueNumeric": 0
}
POST/userAttributeValue

Create a user attribute value

Create a new user attribute value.

Body parameters

idstringrequired
userAttributeIdstringrequired

References userAttribute.id

userIdstringrequired

References user.id

valueBooleanboolean
valueDatedate
valueNumericnumber
valueTextstring
valueUserstring

References user.id

valueFilestring
POSThttps://rest.carbon.ms/userAttributeValue
curl --request POST \
  --url https://rest.carbon.ms/userAttributeValue \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"id":"abc123def456","userAttributeId":"xyz789","userId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "userAttributeId": "xyz789",
  "userId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "valueBoolean": true,
  "valueDate": "2026-01-01",
  "valueNumeric": 0
}
PATCH/userAttributeValue

Update a user attribute value

Update an existing user attribute value, matched on `id`.

Body parameters

idstringrequired
userAttributeIdstringrequired

References userAttribute.id

userIdstringrequired

References user.id

valueBooleanboolean
valueDatedate
valueNumericnumber
valueTextstring
valueUserstring

References user.id

valueFilestring
PATCHhttps://rest.carbon.ms/userAttributeValue
curl --request PATCH \
  --url 'https://rest.carbon.ms/userAttributeValue?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"id":"abc123def456"}'
Response
{
  "id": "abc123def456",
  "userAttributeId": "xyz789",
  "userId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "valueBoolean": true,
  "valueDate": "2026-01-01",
  "valueNumeric": 0
}
DELETE/userAttributeValue

Delete a user attribute value

Delete a user attribute value, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the user attribute value to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/userAttributeValue
curl --request DELETE \
  --url 'https://rest.carbon.ms/userAttributeValue?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content